## org.springframework.util.comparator
Class BooleanComparator

    java.lang.Object
      org.springframework.util.comparator.BooleanComparator

All Implemented Interfaces:
  Serializable, Comparator<Boolean>

    public final class BooleanComparator

extends Object
implements Comparator<Boolean>, Serializable

A Comparator for Boolean objects that can sort either true or false first.

Since:
  1.2.2
Author:
  Keith Donald
See Also:
  Serialized Form

Field Summary
`static BooleanComparator` `TRUE_HIGH` A shared default instance of this comparator, treating true higher than false.
`static BooleanComparator` `TRUE_LOW` A shared default instance of this comparator, treating true lower than false.

Constructor Summary
`BooleanComparator(boolean trueLow)` Create a BooleanComparator that sorts boolean values based on the provided flag.

Method Summary
`int` `compare(Boolean v1, Boolean v2)`
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TRUE_LOW

    public static final BooleanComparator TRUE_LOW

  A shared default instance of this comparator, treating true lower than false.

### TRUE_HIGH

    public static final BooleanComparator TRUE_HIGH

  A shared default instance of this comparator, treating true higher than false.

Constructor Detail

### BooleanComparator

    public BooleanComparator(boolean trueLow)

  Create a BooleanComparator that sorts boolean values based on the provided flag.

  Alternatively, you can use the default shared instances: `BooleanComparator.TRUE_LOW` and `BooleanComparator.TRUE_HIGH`.

  Parameters:
    `trueLow` - whether to treat true as lower or higher than false
  See Also:
    `TRUE_LOW`, `TRUE_HIGH`

Method Detail

### compare

    public int compare(Boolean v1,
                       Boolean v2)

  Specified by:
    `compare` in interface `Comparator<Boolean>`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Comparator<Boolean>`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`